2010-05-11  Carsten Dominik  <carsten.dominik@gmail.com>

	* lisp/org-git-link.el (org-git-open)
	(org-git-create-git-link): expand file name.

2010-04-20  Carsten Dominik  <carsten.dominik@gmail.com>

	* lisp/org-toc.el (org-toc-cycle-subtree)
	(org-toc-restore-config): Use overlays-in/at.

	* babel/lisp/org-babel.el (org-babel-hash-at-point)
	(org-babel-hide-result-toggle): Use overlays-in/at.

2010-04-18  Carsten Dominik  <carsten.dominik@gmail.com>

	* babel/lisp/org-babel.el (org-babel-hide-hash): Use
	`add-to-invisibility-spec'.
	(org-babel-result-hide-spec): Use `add-to-invisibility-spec'.

	* lisp/org-learn.el (require): `calendar' is now required already
	by org.el on top level.

	* lisp/org-toc.el (org-toc-cycle-subtree, org-toc-show)
	(org-toc-restore-config): Use the normal overlay API.

	* lisp/org-expiry.el (org-expiry-process-entry): Use the normal
	overlay API.

	* babel/lisp/org-babel.el (org-babel-hide-hash)
	(org-babel-hash-at-point, org-babel-show-result-all)
	(org-babel-hide-result-toggle): Use the normal overlay API.

2010-03-31  Carsten Dominik  <carsten.dominik@gmail.com>

	* lisp/org-mac-iCal.el (org-mac-iCal): Snow Leopard
	compatibility.

2010-02-20  Carsten Dominik  <carsten.dominik@gmail.com>

	* lisp/org-git-link.el (org-git-store-link): Check if there is a
	file name associated with the buffer.

2010-02-04  Carsten Dominik  <carsten.dominik@gmail.com>

	* lisp/org-export-generic.el (org-export-generic): Provide.

2010-01-08  Carsten Dominik  <carsten.dominik@gmail.com>

	* lisp/org-export-generic.el (org-export-generic): Close body
	levels.

2009-11-20  Carsten Dominik  <carsten.dominik@gmail.com>

	* lisp/org-export-generic.el (org-set-generic-type): Use `aput'.

	* lisp/org-git-link.el (org-git-gitrepos-p): Make definition
	XEmacs compatible.

2009-11-01  Carsten Dominik  <carsten.dominik@gmail.com>

	* lisp/org-mac-iCal.el (omi-import-ics): Use `diary-file'
	variable.

2009-10-22  Carsten Dominik  <carsten.dominik@gmail.com>

	* lisp/org-registry.el (org-registry-assoc-all)
	(org-registry-find-all): Clean rewrite

2009-10-19  James TD Smith  <ahktenzero@mohorovi.cc>

	* lisp/org-registry.el (org-registry-assoc-all): Stop this from
	deleting the links it finds from the registry.
	(org-registry-find-all): Add a new function which returns all
	registry entries which satisfy a test function.

2009-10-02  Carsten Dominik  <carsten.dominik@gmail.com>

	* lisp/org-special-blocks.el (org-special-blocks-ignore-regexp):
	New variable.
	(org-special-blocks-make-special-cookies): Use
	`org-special-blocks-ignore-regexp'.

2009-09-16  Carsten Dominik  <carsten.dominik@gmail.com>

	* lisp/org-invoice.el: New file.

2009-08-14  Carsten Dominik  <carsten.dominik@gmail.com>

	* lisp/org-exp-bibtex.el (org-export-bibtex-preprocess): Use a
	safer regular expression.

2009-08-07  Carsten Dominik  <carsten.dominik@gmail.com>

	* lisp/org-track.el: New file.

2009-08-03  Carsten Dominik  <carsten.dominik@gmail.com>

	* lisp/org-indent.el: File removed.

2009-07-21  Wes Hardaker <wjhns209@hardakers.net>  (tiny change)

	* lisp/org-export-generic.el (org-export-generic-format): Fix
	compatibility issue with Emacs 23.

2009-07-12  James TD Smith  <ahktenzero@mohorovi.cc>

	* lisp/org-checklist.el (org-checklist): Add a custom group for
	org-checklist. The options are all for the unchecked items export
	function.
	(org-checklist-export-time-format): Allow customising the
	timestamp appended to the saved unchecked items list
	(org-checklist-export-function): Allow customising the output
	format for the unchecked items list.
	(org-checklist-export-params): Options for the exporter.
	(org-checklist-a2ps-params): Printing options.
	(org-make-checklist-export): Use values from custom vars. Printing
	is now controlled by the PRINT_EXPORT property in the entry, and
	the user is only asked if it is missing. Pass the switches to
	a2ps-buffer properly.

2009-06-20  Carsten Dominik  <carsten.dominik@gmail.com>

	* README: List new file org-export-generic.el

	* lisp/org-export-generic.el: New file.

2009-05-10  Carsten Dominik  <carsten.dominik@gmail.com>

	* lisp/org-exp-blocks.el (org-export-blocks-format-ditaa)
	(org-export-blocks-format-dot): Support ditaa export also for the
	docbook exporter.

2009-05-07  Carsten Dominik  <carsten.dominik@gmail.com>

	* lisp/org-special-blocks.el: New file.

2009-04-08  Carsten Dominik  <carsten.dominik@gmail.com>

	* lisp/org-choose.el (org-choose-get-fn-map-group): Fix bug with
	level selection.

2009-04-01  Carsten Dominik  <carsten.dominik@gmail.com>

	* lisp/org-exp-bibtex.el (org-export-bibtex-preprocess): Handle
	multiple keys in a single \cite command.

2009-03-30  Carsten Dominik  <carsten.dominik@gmail.com>

	* lisp/org-mtags.el: Fix copyright year.

2009-03-13  Carsten Dominik  <carsten.dominik@gmail.com>

	* lisp/org-mtags.el (org-mtags-replace): Support literal docbook.

2009-03-12  Carsten Dominik  <carsten.dominik@gmail.com>

	* lisp/org-exp-bibtex.el (org-export-bibtex-preprocess): Analyze
	return value of the call to bibtex2html.
	(org-export-bibtex-preprocess): Change Class to ID, there can only
	be one.
	(org-exp-bibtex-docites): Generalize the regexp looking for
	citations.

2009-02-26  Carsten Dominik  <carsten.dominik@gmail.com>

	* lisp/org2rem.el: New version from Shatad Pratap.

2009-02-24  Carsten Dominik  <carsten.dominik@gmail.com>

	* lisp/org-choose.el (org-choose-get-fn-map-group): Only check
	true siblings.

2009-02-18  Carsten Dominik  <carsten.dominik@gmail.com>

	* lisp/org-R.el: New file.

2009-02-13  Carsten Dominik  <carsten.dominik@gmail.com>

	* lisp/org-choose.el (org-choose-get-fn-map-group): Require
	`org-agenda'.
	(cl): Require `cl' at runtime.
	(org-choose-filter-one): Use `org-split-string' for consistency
	accross Emacs version.

2009-02-12  Carsten Dominik  <carsten.dominik@gmail.com>

	* lisp/org-choose.el ("org"): Use file name instead of feature for
	`eval-after-load', this is XEmacs compatible.

2009-02-10  Carsten Dominik  <carsten.dominik@gmail.com>

	* lisp/org-choose.el (org-choose-get-fn-map-group): Call
	`org-up-heading-all' instead of `outline-up-heading-all', which
	does not exist.

2009-02-04  Carsten Dominik  <carsten.dominik@gmail.com>

	* lisp/org-depend.el (org-depend-act-on-sibling): New macro.
	(org-depend-trigger-todo): Call `org-depend-act-on-sibling',
	implement reacting on new keyword `chain-sibling-cheduled'.

2009-02-03  Carsten Dominik  <carsten.dominik@gmail.com>

	* lisp/org-exp-blocks.el (org-exp-blocks): Provide this feature.

2009-01-16  Carsten Dominik  <carsten.dominik@gmail.com>

	* lisp/org-depend.el (org-depend-block-todo): Set a tag when a
	state change is blocked.
	(org-depend-tag-blocked): New option.

2009-01-03  Carsten Dominik  <carsten.dominik@gmail.com>

	* lisp/org-mtags.el (org-mtags-replace): Extend muse tags syntax
	to cater for the new export switched in src and example tags.
	(org-mtags-replace): Fix bugs in prefix processing.
	(org-mtags-get-tag-and-attributes): Add local variable bindings.

2008-12-19  Carsten Dominik  <carsten.dominik@gmail.com>

	* lisp/org-exp-blocks.el (org-export-blocks-format-ditaa): Catch
	lines that have no space after the colon.

2008-12-08  Carsten Dominik  <carsten.dominik@gmail.com>

	* lisp/org-browser-url.el: New file.

	* lisp/org-registry.el (org-registry-before-first-heading-p):
	Function renamed to `org-before-first-heading-p', and moved to
	org.el.

2008-09-20  James TD Smith  <ahktenzero@mohorovi.cc>

	* lisp/org-checklist.el: New file.

2008-09-02  Carsten Dominik  <dominik@science.uva.nl>

	* lisp/org-mairix.el: Update to version 0.5.

2008-07-04  Christian Egli  <christian.egli@alumni.ethz.ch>

	* scripts/org2hpda: the default location of the diary file should
	of course be ~/diary

2008-07-02  Carsten Dominik  <dominik@science.uva.nl>

	* lisp/org-mtags.el (org-mtags-replace): Allow prefix and prefix1
	as options in the include directive.

2008-06-18  Christian Egli  <christian.egli@alumni.ethz.ch>

	* scripts/org2hpda (DIARY): Make the location of the diary file
	configurable.
	(all): reduce links to their destination, i.e. change
	'[[http://foo][bar]]' to 'bar'

2008-05-28  Carsten Dominik  <dominik@science.uva.nl>

	* lisp/org-mtags.el (org-mtags-replace)
	(org-mtags-supported-tags): Fixed typo in contents tag.
	(org-mtags-replace): Fix but that could lead to an infinite loop
	for a partial tag.

2008-05-19  Carsten Dominik  <dominik@science.uva.nl>

	* lisp/org-annotation-helper.el: Remove John Rakestraw from author
	list, upon his request.

2008-05-17  Carsten Dominik  <dominik@science.uva.nl>

	* lisp/org-annotation-helper.el: New file.

2008-05-15  Carsten Dominik  <dominik@science.uva.nl>

	* lisp/org-id.el (org-id-include-domain): New option.
	(org-id-new): Add the domain name to an ID if
	`org-id-include-domain' is set.

2008-05-04  Jason Riedy  <jason@acm.org>

	* lisp/orgtbl-sqlinsert.el (orgtbl-to-sqlinsert): Use the
	default fmt function, collect only the first header line for
	field names, and don't call plist-get for the table name on
	every line.

2008-04-15  Jason Riedy  <jason@acm.org>

	* lisp/orgtbl-sqlinsert.el: New file.
	* README: Add to list.

2008-04-07  Carsten Dominik  <dominik@science.uva.nl>

	* lisp/org-iswitchb.el: File removed, because the functionality is
	now in org.el, in the core.

	* lisp/org-mew.el: File moved into the core.

2008-03-14  Carsten Dominik  <dominik@science.uva.nl>

	* lisp/org-depend.el: Add `provide' for the module system.

	* lisp/org-man.el: Add `provide' for the module system.

	* lisp/org-interactive-query.el: Renamed from org-iq.el.

2008-03-05  Bastien Guerry  <bzg@altern.org>

	* lisp/org-elisp-symbol.el (org-elisp-symbol-store-link):
	Correctly handle function with no documentation.

2008-02-29  Tokuya Kameshima <kames@fa2.so-net.ne.jp>

	* lisp/org-bookmark.el (org-bookmark-store-link): Use
	`bookmark-all-names' instead of `bookmark-alist'.

2008-02-29  Bastien Guerry  <bzg@altern.org>

	* lisp/org-bookmark.el (org-bookmark-in-dired)
	(org-bookmark-when-visiting-a-file)
	(org-bookmark-use-first-bookmark): New options.
	(org-bookmark-store-link): Behave according to options.

2008-02-29  Bastien Guerry  <bzg@altern.org>

	* lisp/org-mairix.el (org-mairix): Use `org-link' group.

2008-02-28  Bastien Guerry  <bzg@altern.org>

	* lisp/org-bookmark.el: New file.

2008-02-26  Carsten Dominik  <dominik@science.uva.nl>

	* lisp/org-id.el: New file.

2008-02-21  Carsten Dominik  <dominik@science.uva.nl>

	* lisp/org-screen.el: New file.

2008-02-17  Christian Egli  <christian.egli@alumni.ethz.ch>

	* scripts/org2hpda: Added a Makefile for generation of hipster pda
	style printouts

2008-02-08  Phil Jackson  <phil@shellarchive.co.uk>

	* scripts/dir2org.zsh: New file.

2008-02-07  Phil Jackson  <phil@shellarchive.co.uk>

	* lisp/org-annotate-file.el: New file.

2008-02-07  Bastien Guerry  <bzg@altern.org>

	* Added org-expiry.el org-registry.el org-iswitchb.el org2rem.el
	to CONTRIB/lisp/.

2008-02-07  Phil Jackson  <phil@shellarchive.co.uk>

	* lisp/org-irc.el: New file.

	* ChangeLog: New file.
